package com.ytpm.middle.service;

import com.ytpm.agent.param.AppListParam;
import com.ytpm.agent.param.AppParam;
import com.ytpm.agent.view.AgentAppView;
import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;
import com.ytpm.middle.view.MiddleUserInfo;

public interface ApkService {


    /**
     * 出包应用列表
     */
    ResultTable<AgentAppView> searchAppList(AppListParam appListParam);
    /**
     * 保存应用
     */
    Result<?> saveApp(AppParam param, MiddleUserInfo userInfo);

    /**
     * 修改子包配置
     */
    Result<?> changeConfig(AppParam param);
}
